API Documentation
The API is at beta stage. Contact us if you want to use our api.
API URL:
http(s)://steply.com/api/1
OAuth
Authentication flow
Similar to Twitter. Please refer to http://dev.twitter.com/pages/auth
URLs
- /oauth/request_token
- /oauth/authorize
- /oauth/access_token
xAuth
We support xAuth as well upon request. Contact us if you want to enable xAuth for your app.
xAuth reference: http://dev.twitter.com/pages/xauth
Account Info
API:
GET /account/info.json
GET /users/:username/info.json
Parameters:
Authentication:
Yes
cURL example:
curl "http://steply.com/api/1/account/info.json"
cURL result example:
{
"profile_picture_url": "http://photos.steply.com/profile_pictures/copanda_91d27e9be87963e2aae047d886d99dec.jpg",
"photos_count": 2659,
"followers_count": 157,
"locations_count": 113,
"web": null,
"last_name": "まさと",
"likes_count": 2356,
"first_name": "わたなべ",
"description": "iPhone4 | Panda's Picture | Camera | Gulf area of Tokyo | Mac I live and work in a downtown Tokyo Koto Ward. パンダの絵ばっかり掻いている下町(0メートル地帯)住まいです。",
"username": "copanda",
"followings_count": 146
}
Photo List
API:
GET /photos/public.json
GET /photos/featured.json
GET /locations/:lid/photos.json
GET /users/:username/photos.json
GET /users/:username/likes.json
Parameters:
optional: since_pid, max_pid, count
count: number of returned photos
max_pid: get photos older than photo with id = max_pid
since_pid: get photos newer than photo with id = since_pid
Authentication:
No
cURL example:
curl http://steply.com/api/1/photos/public.json
cURL result example:
[
{
"pid": "1dpsuu",
"location": null,
"taken_at": "2011-02-14T12:36:23+08:00",
"likes_count": 0,
"url": "http://photos.steply.com/photos/1dpsuu/fd165u07.jpg",
"comments_count": 0,
"description": "want cold weather back! it's very hot right now. :(",
"user": {
"profile_picture_url": "http://photos.steply.com/profile_pictures/3sO5az4U.png",
"likes_count": 158,
"username": "shinnsei",
"locations_count": 12,
"followers_count": 20,
"last_name": "",
"description": "",
"followings_count": 5,
"web": null,
"first_name": "shawn.th",
"photos_count": 44
},
"thumbnails": [
{
"size": "75x75",
"url": "http://photos.steply.com/photos/1dpsuu/fd165u07_75x75.jpg"
}
]
}
]
Photo Upload
API:
POST /photos/upload.json
Parameters:
required: image, description
optional: share_to_twitter, share_to_facebook, share_to_tumblr, share_to_weibo
share_to_*: accept 0 or 1
Authentication:
Yes
cURL example:
curl -F"image=@IMG001.jpg" -F"description=you are holding it wrong" http://steply.com/api/1/photos/upload.json
Photo Search
API:
POST /photos/search.json
Parameters:
required: q
optional: since_pid, max_pid, page, rpp, callback
q: string to query, only support #hashtag for now, url escape is recommended
max_pid: get photos older than this photo with id = max_pid
since_pid: get photos newer than this photo with id = since_pid
callback: a javascript callback with result as argument
page: number of page for pagination
rpp: number of photos per page
Authentication:
No
cURL example:
curl "http://steply.com/api/1/photos/search.json?q=%23phototreats"
Following last photos
API:
POST /users/:username/following_last_photos.json
Parameters:
Authentication:
No
cURL example:
curl http://steply.com/api/1/users/evebee/following_last_photos.json
Like/Unlike Photo
API:
POST /photos/:pid/likes.json
DELETE /photos/:pid/likes.json
Parameters:
Authentication:
Yes
cURL example:
curl -XPOST http://steply.com/api/1/photos/elx5y/likes.json
Liked Users
API:
GET /photos/:pid/liked_by
Parameters:
Authentication:
Yes
cURL example:
curl http://steply.com/api/1/photos/vm6h9l/liked_by.json
Nearby Locations
API:
GET /locations/nearby.json
Parameters:
required: lat, lng
Authentication:
No
cURL example:
curl "http://steply.com/api/1/locations/nearby.json?lat=22.381&lng=114.204"
Add Locations
API:
POST /locations/add.json
Parameters:
required: lat, lng, name
optional: street_address, province, state, city, country, country_code, zip, phone_number
Authentication:
Yes
cURL example:
curl "http://steply.com/api/1/locations/nearby.json?lat=22.381&lng=114.204"
Get Photo Comments
API:
GET /photos/:pid/comments.json
Parameters:
Authentication:
No
cURL example:
curl "http://steply.com/api/1/photos/14fod0/comments.json"
Add Photo Comment
API:
POST /photos/:pid/comments.json
Parameters:
required: text
Authentication:
Yes
cURL example:
curl -d"text=nice photo" "http://steply.com/api/1/photos/elx5y/comments.json"
